Package org.apache.batchee.container.services.persistence.jdbc.database

## Class DerbyDatabase

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jdbc.database.DerbyDatabase

- All Implemented Interfaces:
    `Database`

      public class DerbyDatabase
      extends Object
      implements Database

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DerbyDatabase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `autoIncrementId()` |
    `String` | `bigint()` |
    `String` | `blob()` |
    `String` | `columnName​(String name)` |
    `String` | `integer()` |
    `String` | `timestamp()` |
    `String` | `varchar20()` |
    `String` | `varchar255()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DerbyDatabase

          public DerbyDatabase()

  - ### Method Detail

    - #### integer

          public String integer()

      Specified by:
        `integer` in interface `Database`

    - #### bigint

          public String bigint()

      Specified by:
        `bigint` in interface `Database`

    - #### varchar255

          public String varchar255()

      Specified by:
        `varchar255` in interface `Database`

    - #### varchar20

          public String varchar20()

      Specified by:
        `varchar20` in interface `Database`

    - #### blob

          public String blob()

      Specified by:
        `blob` in interface `Database`

    - #### timestamp

          public String timestamp()

      Specified by:
        `timestamp` in interface `Database`

    - #### autoIncrementId

          public String autoIncrementId()

      Specified by:
        `autoIncrementId` in interface `Database`

    - #### columnName

          public String columnName​(String name)

      Specified by:
        `columnName` in interface `Database`